StaticMembershipProvider.MemberMessage (Apache Tomcat 9.0.68 API Documentation)

Package org.apache.catalina.tribes.membership

## Class StaticMembershipProvider.MemberMessage

- java.lang.Object
- - org.apache.catalina.tribes.membership.StaticMembershipProvider.MemberMessage

- All Implemented Interfaces:
    `java.io.Serializable`
  Enclosing class:
    StaticMembershipProvider

      public static class StaticMembershipProvider.MemberMessage
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `MSG_PING` |
    `static int` | `MSG_START` |
    `static int` | `MSG_STOP` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MemberMessage​(byte[] membershipId, int msgtype, Member member)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Member` | `getMember()` |
    `byte[]` | `getMembershipId()` |
    `int` | `getMsgtype()` |
    `protected java.lang.String` | `getTypeDesc()` |
    `void` | `setMember​(Member local)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MSG_START

          public static final int MSG_START

      See Also:
        Constant Field Values

    - #### MSG_STOP

          public static final int MSG_STOP

      See Also:
        Constant Field Values

    - #### MSG_PING

          public static final int MSG_PING

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MemberMessage

          public MemberMessage​(byte[] membershipId,
                               int msgtype,
                               Member member)

  - ### Method Detail

    - #### getMsgtype

          public int getMsgtype()

    - #### getMembershipId

          public byte[] getMembershipId()

    - #### getMember

          public Member getMember()

    - #### setMember

          public void setMember​(Member local)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getTypeDesc

          protected java.lang.String getTypeDesc()